<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/CrossHairSelector.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d9f/_cross_hair_selector_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">CrossHairSelector.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d4/d9f/_cross_hair_selector_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d0c/class_cross_hair.html">CrossHair</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a6a878c9a758579dc39f73b21127009c3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d9f/_cross_hair_selector_8c.html#a6a878c9a758579dc39f73b21127009c3">CrossHairSelector</a> ()</td></tr>
<tr class="separator:a6a878c9a758579dc39f73b21127009c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8627da7dc9e810cf88169ff0f57ee63"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d9f/_cross_hair_selector_8c.html#af8627da7dc9e810cf88169ff0f57ee63">~CrossHairSelector</a> ()</td></tr>
<tr class="separator:af8627da7dc9e810cf88169ff0f57ee63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2865dcd0243804f3b1b93c982130e8c3"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d9f/_cross_hair_selector_8c.html#a2865dcd0243804f3b1b93c982130e8c3">Init</a> ()</td></tr>
<tr class="memdesc:a2865dcd0243804f3b1b93c982130e8c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Launched from 'DayZGame.DeferredInit' to make earlier access, use, and updates impossible (downside of a non-static system)  <a href="../../d4/d9f/_cross_hair_selector_8c.html#a2865dcd0243804f3b1b93c982130e8c3">More...</a><br /></td></tr>
<tr class="separator:a2865dcd0243804f3b1b93c982130e8c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5995aac8adecc378e2b446cc771702b8"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d9f/_cross_hair_selector_8c.html#a5995aac8adecc378e2b446cc771702b8">OnWidgetScriptInit</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w)</td></tr>
<tr class="separator:a5995aac8adecc378e2b446cc771702b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga70ac517aa5d3b3af95f61a2d560d811f"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a> ()</td></tr>
<tr class="separator:ga70ac517aa5d3b3af95f61a2d560d811f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa94752c3f13e12e0809dada4c1031ace"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d9f/_cross_hair_selector_8c.html#aa94752c3f13e12e0809dada4c1031ace">GetPlayer</a> ()</td></tr>
<tr class="separator:aa94752c3f13e12e0809dada4c1031ace"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bfe0daa7710ddfc48f1bc0cc9f3742b"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d9f/_cross_hair_selector_8c.html#a7bfe0daa7710ddfc48f1bc0cc9f3742b">GetActionManager</a> ()</td></tr>
<tr class="separator:a7bfe0daa7710ddfc48f1bc0cc9f3742b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33049b640c2525cb3a486b97f07a4058"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../db/d0c/class_cross_hair.html">CrossHair</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d9f/_cross_hair_selector_8c.html#a33049b640c2525cb3a486b97f07a4058">GetCrossHairByName</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> widgetName)</td></tr>
<tr class="separator:a33049b640c2525cb3a486b97f07a4058"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae77b4df141c42a4f4e3b86a7183a78f6"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../db/d0c/class_cross_hair.html">CrossHair</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d9f/_cross_hair_selector_8c.html#ae77b4df141c42a4f4e3b86a7183a78f6">GetCurrentCrossHair</a> ()</td></tr>
<tr class="separator:ae77b4df141c42a4f4e3b86a7183a78f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a390b0b22b7d7b47f9c3c015ef36c7e6c"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d9f/_cross_hair_selector_8c.html#a390b0b22b7d7b47f9c3c015ef36c7e6c">SelectCrossHair</a> ()</td></tr>
<tr class="separator:a390b0b22b7d7b47f9c3c015ef36c7e6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09deaa476787a0d2324d5093a59330b2"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d9f/_cross_hair_selector_8c.html#a09deaa476787a0d2324d5093a59330b2">ShowCrossHair</a> (<a class="el" href="../../db/d0c/class_cross_hair.html">CrossHair</a> crossHair)</td></tr>
<tr class="separator:a09deaa476787a0d2324d5093a59330b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a98886202c01435990ef35aed5105f568"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../db/d0c/class_cross_hair.html">CrossHair</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d9f/_cross_hair_selector_8c.html#a98886202c01435990ef35aed5105f568">m_Player</a></td></tr>
<tr class="separator:a98886202c01435990ef35aed5105f568"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5656b307fcf54071ca3e31bfe40ba528"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/dd1/class_action_manager_base.html">ActionManagerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a></td></tr>
<tr class="separator:a5656b307fcf54071ca3e31bfe40ba528"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc384ffa3d9e20d9963688d1e3492cb7"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d9f/_cross_hair_selector_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a></td></tr>
<tr class="separator:abc384ffa3d9e20d9963688d1e3492cb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03def12935c09312a62c008c1b44d256"><td class="memItemLeft" align="right" valign="top">protected ref set&lt; ref <a class="el" href="../../db/d0c/class_cross_hair.html">CrossHair</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d9f/_cross_hair_selector_8c.html#a03def12935c09312a62c008c1b44d256">m_CrossHairs</a></td></tr>
<tr class="separator:a03def12935c09312a62c008c1b44d256"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a6a878c9a758579dc39f73b21127009c3" name="a6a878c9a758579dc39f73b21127009c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a878c9a758579dc39f73b21127009c3">&#9670;&#160;</a></span>CrossHairSelector()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CrossHairSelector </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00058">58</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="a7bfe0daa7710ddfc48f1bc0cc9f3742b" name="a7bfe0daa7710ddfc48f1bc0cc9f3742b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bfe0daa7710ddfc48f1bc0cc9f3742b">&#9670;&#160;</a></span>GetActionManager()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected void GetActionManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00123">123</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="a33049b640c2525cb3a486b97f07a4058" name="a33049b640c2525cb3a486b97f07a4058"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33049b640c2525cb3a486b97f07a4058">&#9670;&#160;</a></span>GetCrossHairByName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../db/d0c/class_cross_hair.html">CrossHair</a> GetCrossHairByName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>widgetName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00133">133</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="ae77b4df141c42a4f4e3b86a7183a78f6" name="ae77b4df141c42a4f4e3b86a7183a78f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae77b4df141c42a4f4e3b86a7183a78f6">&#9670;&#160;</a></span>GetCurrentCrossHair()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../db/d0c/class_cross_hair.html">CrossHair</a> GetCurrentCrossHair </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00144">144</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="aa94752c3f13e12e0809dada4c1031ace" name="aa94752c3f13e12e0809dada4c1031ace"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa94752c3f13e12e0809dada4c1031ace">&#9670;&#160;</a></span>GetPlayer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected void GetPlayer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00118">118</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="a2865dcd0243804f3b1b93c982130e8c3" name="a2865dcd0243804f3b1b93c982130e8c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2865dcd0243804f3b1b93c982130e8c3">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected void Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Launched from 'DayZGame.DeferredInit' to make earlier access, use, and updates impossible (downside of a non-static system) </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00072">72</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="a5995aac8adecc378e2b446cc771702b8" name="a5995aac8adecc378e2b446cc771702b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5995aac8adecc378e2b446cc771702b8">&#9670;&#160;</a></span>OnWidgetScriptInit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected void OnWidgetScriptInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00084">84</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="a390b0b22b7d7b47f9c3c015ef36c7e6c" name="a390b0b22b7d7b47f9c3c015ef36c7e6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a390b0b22b7d7b47f9c3c015ef36c7e6c">&#9670;&#160;</a></span>SelectCrossHair()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected void SelectCrossHair </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >firearms</p>
<p >On Continuous Actions</p>
<p >raised hands(bare + non-firearm) + melee cmd</p>
<p >handle unconscious state</p>
<p >default</p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00155">155</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="a09deaa476787a0d2324d5093a59330b2" name="a09deaa476787a0d2324d5093a59330b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09deaa476787a0d2324d5093a59330b2">&#9670;&#160;</a></span>ShowCrossHair()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected void ShowCrossHair </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d0c/class_cross_hair.html">CrossHair</a>&#160;</td>
          <td class="paramname"><em>crossHair</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >no crosshair + clean + hide the previous</p>
<p >hide prev crosshair</p>
<p >show the new one</p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00194">194</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="af8627da7dc9e810cf88169ff0f57ee63" name="af8627da7dc9e810cf88169ff0f57ee63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8627da7dc9e810cf88169ff0f57ee63">&#9670;&#160;</a></span>~CrossHairSelector()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ~<a class="el" href="../../d4/d9f/_cross_hair_selector_8c.html#a6a878c9a758579dc39f73b21127009c3">CrossHairSelector</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00067">67</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a5656b307fcf54071ca3e31bfe40ba528" name="a5656b307fcf54071ca3e31bfe40ba528"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5656b307fcf54071ca3e31bfe40ba528">&#9670;&#160;</a></span>m_AM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/dd1/class_action_manager_base.html">ActionManagerBase</a> m_AM</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00052">52</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="a03def12935c09312a62c008c1b44d256" name="a03def12935c09312a62c008c1b44d256"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03def12935c09312a62c008c1b44d256">&#9670;&#160;</a></span>m_CrossHairs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected ref set&lt;ref <a class="el" href="../../db/d0c/class_cross_hair.html">CrossHair</a>&gt; m_CrossHairs</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00056">56</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="a98886202c01435990ef35aed5105f568" name="a98886202c01435990ef35aed5105f568"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98886202c01435990ef35aed5105f568">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../db/d0c/class_cross_hair.html">CrossHair</a> m_Player</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abc384ffa3d9e20d9963688d1e3492cb7" name="abc384ffa3d9e20d9963688d1e3492cb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc384ffa3d9e20d9963688d1e3492cb7">&#9670;&#160;</a></span>m_Root</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> m_Root</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00054">54</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../d4/d9f/_cross_hair_selector_8c.html">CrossHairSelector.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
